function [xa,aa,b]=acut(x,a,alpha)

%       [XA,AA,B]=ACUT(X,A,ALPHA) Alpha-cut of fuzzy set A.
%       Alpha-cut of a fuzzy set A is a classical set {x,Ax>=alpha},
%       alpha is from <0,1>,
%
%       XA is the alpha-cut, AA are membership grades of XA elements
%       and B is is A.*(A>=ALPHA).
%
%       See also ACUTS, ALEVEL.

% (c) Robert Babuska, March 1993

i = (a >= alpha-1e-4);
xa = x(i); aa = a(i);
b = a.*i;

