function z0=coa(z,C,w,i);
% COA (Indexed) center-of-area defuzzification.
%
% COA(Z,C) calculates the center of area of the fuzzy set C on universe Z.
%
% COW(Z,C,W,I) calculates the indexed center of area of the fuzzy set C on
%       universe Z, I is the index (0..1) and W is a dummy parameter for
%       compatibility with COAW.
%
% See also COAW, MOM.

% (c) Robert Babuska, March 1993

z = z(:); C = C(:);
if (nargin == 4)                % index supplied
  C = C.*(C >= i);              % "alpha-cut" of C
end;
if any(C)
  z0 = (sum(z.*C)./sum(C))';    % calculate COA
else
  z0 = 0;
end;

