function  [sys, x0]  = sfuninf(t,x,u,flag,rls,mfs,def)
% SFUNINF an S-function which performs complete fuzzy inference.
%
%       This M-file is designed to be used in a SIMULINK S-function block.
%       It uses the Fuzzy Toolbox function INFER to calculate fuzzy
%       inference.
%	
%       The input arguments are
%       rls:            rule base matrix
%       mfs:            membership functions
%       def:            default value returned when no rule applicable
%                       (obligatory, as opposed to INFER)

% (c) Robert Babuska, December 1993

if flag == 3                    % output
    sys = infer(rls,mfs,u',def);
elseif flag  == 0, 
    nouts = length(def);
    ninps = size(rls,2) - nouts - 1;
  % [cont, discr, outputs, inputs, roots, feedthrough]
    sys = [0, 0, nouts, ninps, 0, 1];
    x0 = [];
else 
    sys = [];
end

