function  [sys, x0]  = sfunsug(t,x,u,flag,rls,mfs,p,def)
% SFUNINF an S-function which performs Sugeno-Takagi fuzzy inference.
%
%       This M-file is designed to be used in a SIMULINK S-function block.
%       It uses the Fuzzy Toolbox function SUGVAL to calculate Sugeno-Takagi
%       inference.
%	
%       The input arguments are
%       rls:            premise part of the rule base matrix
%       mfs:            membership function matrix
%       p:              consequent parameters

% (c) Robert Babuska, December 1993

ic = size(p,2); ip = size(rls,2)-1;
if flag == 3                    % output
    dof = dofprod(rls,mfs,u(1:ip)');
    sys = sugval(p,u(ip+1:ip+ic)',dof,def);
elseif flag  == 0, 
  % [cont, discr, outputs, inputs, roots, feedthrough]
    sys = [0, 0, 1, ip+ic, 0, 1];
    x0 = [];
else 
    sys = [];
end

