function c = impl_go(a,b)
%   IMPL_GO(A,B)  Goguens's implication defined as:
%
%       impl_go(A,B) = min(1,Bx/Ax)     if Ax <> 0
%       impl_go(A,B) = 1                otherwise
%
%   See also IMPL_BG, IMPL_KD, IMPL_LA, IMPL_LU, IMPL_MD, IMPL_RE,
%            IMPL_RS, IMPL_WI.

% (c) Robert Babuska, March 1993

[am,an] = size(a); [bm,bn] = size(b);
if ( am > 1 & an == 1 & bn > 1 )
    a = a * ones(1,bn);
    if ( bm == 1 )
        b = ones(am,1) * b;
    end;
end;

c = ones(am,bn);
c(a > 0) = min(c,b(a>0)./a(a>0));

