function c = impl_lu(a,b)
%   IMPL_LU(A,B)  Lukasiewicz' implication defined as:
%
%       impl_lu(A,B) = min(1,1-Ax+Bx)
%
%   See also IMPL_BG, IMPL_GO, IMPL_KD, IMPL_LA, IMPL_MD, IMPL_RE,
%            IMPL_RS, IMPL_WI.

% (c) Robert Babuska, March 1993

[am,an] = size(a); [bm,bn] = size(b);
if ( am > 1 & an == 1 & bn > 1 )
    a = a * ones(1,bn);
    if ( bm == 1 )
        b = ones(am,1) * b;
    end;
end;

c = min(1, 1 -  a + b);

