function c=sdif(a,b)
%       C=SDIF(A,B) Symmetrical difference of two fuzzy sets A and B
%       defined as SDIF(A,B) = abs(Ax-Bx).
%
%       If A and B are both row or column vectors, then C
%       is also a row or column vector. If A is a column vector
%       and B a row vector, then a matrix C is returned,
%       representing the Cartesian product A x B.
%
%       See also CSUM.

% (c) Robert Babuska, March 1993

am = length(a(:,1)); bn = length(b(1,:));
if ( am > 1 & bn > 1 )
    a=a*ones(1,bn); b=ones(am,1)*b;
end;
c=abs(a-b);

