function [xs,as]=supp(x,a)
%       [XS,AS]=SUPP(X,A) returns the support of fuzzy set A.
%       Support of a fuzzy set is a classical set {x; Ax>0},
%       i.e. the same as ACUTS(X,A,0).
%
%       XS is the support and AS contains the membership grades of
%       elements of XS.
%
%       See also KER, CROSSOVR, HGT.

% (c) Robert Babuska, March 1993

i = (a > 0);
xs = x(i); as = a(i);

